<?php
	
	class xcode extends cmsFrontend {
	
	
		
		// ----------------------------------------------------------------------------
		// markItUp! BBCode Parser
		// v 1.0.6
		// Dual licensed under the MIT and GPL licenses.
		// ----------------------------------------------------------------------------
		// Copyright (C) 2009 Jay Salvat
		// http://www.jaysalvat.com/
		// http://markitup.jaysalvat.com/
		// ----------------------------------------------------------------------------
		// Permission is hereby granted, free of charge, to any person obtaining a copy
		// of this software and associated documentation files (the "Software"), to deal
		// in the Software without restriction, including without limitation the rights
		// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
		// copies of the Software, and to permit persons to whom the Software is
		// furnished to do so, subject to the following conditions:
		// 
		// The above copyright notice and this permission notice shall be included in
		// all copies or substantial portions of the Software.
		// 
		// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
		// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
		// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
		// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
		// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
		// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
		// THE SOFTWARE.
		// ----------------------------------------------------------------------------
		// Thanks to Arialdo Martini, Mustafa Dindar for feedbacks.
		// ----------------------------------------------------------------------------
		
		
		function BBCode2Html($text) {	
			
			$smiles_dir = "/upload/smilies/";
			
			$s_img = scandir(PATH.$smiles_dir);
			
			if($s_img){
				foreach($s_img as $value=>$smile){
					
					$file = $smiles_dir.$smile;
					
					if (@file_exists(PATH.$file)){
						
						$replace = pathinfo($file);
						
						if ($replace['extension'] == 'png' || $replace['extension'] == 'gif' ||
						$replace['extension'] == 'jpg' || $replace['extension'] == 'bmp'){
							$text = str_replace(':'.$replace['filename'], '<img src="'.$file.'" border="0"/>', $text);
							
						}
					}
				}
			}
			
			
			$text = trim($text);
			
			
			
			// Smileys to find...
			$in = array( 	 
			':)', 	
			':D',
			':o',
			':p',
			':(',
			';)'
			);
			// And replace them by...
			$out = array(	 
			'<img alt=":)" src="'.$smiles_dir.'smile.gif" />',
			'<img alt=":D" src="'.$smiles_dir.'laugh.gif" />',
			'<img alt=":o" src="'.$smiles_dir.'shock.gif" />',
			'<img alt=":p" src="'.$smiles_dir.'rofl.gif" />',
			'<img alt=":(" src="'.$smiles_dir.'sad.gif" />',
			'<img alt=";)" src="'.$smiles_dir.'joke.gif" />'
			);
			$text = str_replace($in, $out, $text);
			
			
			// BBCode to find...
			$in = array( 	 
			'/\[b\](.*?)\[\/b\]/ms',	
			'/\[i\](.*?)\[\/i\]/ms',
			'/\[u\](.*?)\[\/u\]/ms',
			'/\[img\](.*?)\[\/img\]/ms',
			'/\[email\](.*?)\[\/email\]/ms',
			'/\[url\="?(.*?)"?\](.*?)\[\/url\]/ms',
			'/\[size\="?(.*?)"?\](.*?)\[\/size\]/ms',
			'/\[color\="?(.*?)"?\](.*?)\[\/color\]/ms',
			'/\[quote](.*?)\[\/quote\]/ms',
			'/\[list\=(.*?)\](.*?)\[\/list\]/ms',
			'/\[list\](.*?)\[\/list\]/ms',
			'/\[\*\]\s?(.*?)\n/ms',
			'/\[spoiler\](.*?)\[\/spoiler\]/ms',
			);
			// And replace them by...
			$out = array(	 
			'<strong>\1</strong>',
			'<em>\1</em>',
			'<u>\1</u>',
			'<img src="\1" alt="\1" />',
			'<a href="mailto:\1">\1</a>',
			'<a href="\1">\2</a>',
			'<span style="font-size:\1%">\2</span>',
			'<span style="color:\1">\2</span>',
			'<blockquote>\1</blockquote>',
			'<ol start="\1">\2</ol>',
			'<ul>\1</ul>',
			'<li>\1</li>',
			'<div class="bb_tag_spoiler"><div class="spoiler_title"><strong>'.LANG_XCODE_SPOILER.'</strong><input style="margin-left:10px" type="button" onclick="$(this).parent(\'div\').parent(\'div\').find(\'.spoiler_body\').slideToggle();   " value="'.LANG_XCODE_SHOW.'" />
			</div><div class="spoiler_body" style="display:none">\1</div></div>'
			);
			$text = preg_replace($in, $out, $text);
			
			// paragraphs
			$text = str_replace("\r", "", $text);
			$text = "<p>".preg_replace("/(\n){2,}/", "</p><p>", $text)."</p>";
			$text = nl2br($text);
			
			// clean some tags to remain strict
			// not very elegant, but it works. No time to do better ;)
			if (!function_exists('removeBr')) {
				function removeBr($s) {
					return str_replace("<br />", "", $s[0]);
				}
			}	
			$text = preg_replace_callback('/<pre>(.*?)<\/pre>/ms', "removeBr", $text);
			$text = preg_replace('/<p><pre>(.*?)<\/pre><\/p>/ms', "<pre>\\1</pre>", $text);
			
			$text = preg_replace_callback('/<ul>(.*?)<\/ul>/ms', "removeBr", $text);
			$text = preg_replace('/<p><ul>(.*?)<\/ul><\/p>/ms', "<ul>\\1</ul>", $text);
			
			return $text;
		}
		function loadSmiles(){
			$dir = '/upload/smilies/';
			
			$path = $_SERVER['DOCUMENT_ROOT'].$dir;
			
			$images = scandir($path);
			foreach($images as $img){
				$ar = pathinfo($img);
				/* $ar = explode('.', $img); */
				$alt = $ar['filename'];
				if ($ar['extension'] == 'gif' || $ar['extension'] == 'png' || $ar['extension'] == 'jpg' || $ar['extension'] == 'bmp'){
					
					$smile_img = '<img id="smil" alt='.$alt.' style="display:inline" src="/upload/smilies/'.$img.'"/>';
					
					$smiles_img[] = $smile_img;
				}
			}
			$smile_panel = implode(' ',$smiles_img);
			
			return $smile_panel;
		}
		
		
		
	}			