// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2011 Jay Salvat
// http://markitup.jaysalvat.com/
// ----------------------------------------------------------------------------
// Html tags
// http://en.wikipedia.org/wiki/html
// ----------------------------------------------------------------------------
// Basic set. Feel free to add more tags
// ----------------------------------------------------------------------------


var i = 1;
var mySettings = {
    resizeHandle: false,
	onShiftEnter:  	{keepDefault:false, replaceWith:'<br />\n'},
	onCtrlEnter:  	{keepDefault:true},
	onTab:    		{keepDefault:false, replaceWith:'    '},
	markupSet:  [
		{name:'Жирный', key:'B', openWith:'<b>', closeWith:'</b>', className: 'btnBold'},
		{name:'Наклонный', key:'I', openWith:'<i>', closeWith:'</i>', className: 'btnItalic'},
		{name:'Подчеркнутый', key:'U', openWith:'<u>', closeWith:'</u>', className: 'btnUnderline'},
		{name:'Зачеркнутый', key:'S', openWith:'<s>', closeWith:'</s>', className: 'btnStroke'},
		{name:'Список', openWith:'    <li>', closeWith:'</li>', multiline:true, openBlockWith:'<ul>\n', closeBlockWith:'\n</ul>', className: 'btnOl'},
		{name:'Нумерованный список', openWith:'    <li>', closeWith:'</li>', multiline:true, openBlockWith:'<ol>\n', closeBlockWith:'\n</ol>', className: 'btnUl'},
		{name:'Цитата', openWith:'<blockquote>[![Текст цитаты]!]', closeWith:'</blockquote>', className: 'btnQuote'},
        {name:'Ссылка', key:'L', openWith:'<a target="_blank" href="[![Адрес ссылки:!:http://]!]">', closeWith:'</a>', placeHolder:'Заголовок ссылки...', className: 'btnLink'},
		{name:'Фото из Интернета', replaceWith:'<img src="[![Адрес фото:!:http://]!]" alt="[![Описание]!]" />', className: 'btnImg'},
		{name:'Фото с компьютера', className: 'btnImgUpload', beforeInsert: function(markItUp) { InlineUpload.display(markItUp) }},
		{name:'Видео YouTube', openWith:'<youtube>[![Ссылка на ролик YouTube]!]', closeWith:'</youtube>', className: 'btnVideoYoutube'},
		{name:'Видео Facebook', openWith:'<facebook>[![Ссылка на ролик Facebook]!]', closeWith:'</facebook>', className: 'btnVideoFacebook'},
        {name:'Код', openWith:'<code>', closeWith:'</code>', className: 'btnCode'}, 
		{name:'Спойлер', openWith:'[spoiler]', closeWith:'[/spoiler]', className: 'btnSpoiler'},
		{name:'Красный', openWith:'[color=red]', closeWith:'[/color]', className: 'btnRed'}, 
		{name:'Зеленый', openWith:'[color=green]', closeWith:'[/color]', className: 'btnGreen'},
		{name:'Синий', openWith:'[color=blue]', closeWith:'[/color]', className: 'btnBlue'},
		{name:'Смайлы', className: 'btnSmiles', key: 'Z', beforeInsert: function(markItUp) {smilePanel(markItUp);}}
	]
	
}

	/*  Вызов панели смайлов.*/
function smilePanel(markItUp) {
	
$(document).ready(function(){
	// Добавляем панель саму смайлов	
	if ($(".smilepanel").width() <= 0){ $('.markItUpHeader').append('<div id="smil" class="smilepanel"></div>');
	
	//Загрузка смайлов в панель
	$(".smilepanel").load("/wysiwyg/markitup/sets/xcode-ru/show.php")};

	// Если на десктопе
	if ($("body").attr('id') == 'desktop_device_type'){

	// Закрытие панели смайлов по клику вне самой панели 
	$('.btnSmiles').click(function(){$('.smilepanel').slideUp('fast', function()
	{ $('.smilepanel').remove(); });});}
	
	// Если на мобильнике
	else if ($("body").attr('id') == 'mobile_device_type'){
	// Закрытие панели смайлов по клику в любом месте
	$('div').click(function(){$('.smilepanel').slideUp('fast', function()
	{ $('.smilepanel').remove(); });});}
	
	// Добавление смайла в положение курсора 
	$('.smilepanel').on('click', '#smil', function()  {  
	$.markItUp({ closeWith:':'+$(this).attr('alt')})}); 
	
})}

